default['zabbix']['server']['config']['ListenPort'] = '10051'
default['zabbix']['server']['config']['SourceIP'] = nil
default['zabbix']['server']['config']['LogFile'] = '/var/log/zabbix/zabbix_server.log'
default['zabbix']['server']['config']['LogType'] = 'file'
default['zabbix']['server']['config']['LogFileSize'] = '1'
default['zabbix']['server']['config']['DebugLevel'] = '3'
default['zabbix']['server']['config']['PidFile'] = '/var/run/zabbix/zabbix_server.pid'
case node['zabbix']['database']['backend']
when 'postgresql'
  default['zabbix']['server']['config']['DBHost'] = nil
when 'mysql', 'mariadb', 'percona'
  default['zabbix']['server']['config']['DBHost'] = 'localhost'
else
  default['zabbix']['server']['config']['DBHost'] = nil
end
default['zabbix']['server']['config']['DBSchema'] = nil
case node['zabbix']['database']['backend']
when 'postgresql'
  default['zabbix']['server']['config']['DBSocket'] = nil
when 'mysql', 'mariadb', 'percona'
  default['zabbix']['server']['config']['DBSocket'] = '/var/lib/mysql/mysql.sock'
else
  default['zabbix']['server']['config']['DBSocket'] = nil
end
default['zabbix']['server']['config']['DBPort'] = nil
default['zabbix']['server']['config']['StartPollers'] = '5'
default['zabbix']['server']['config']['StartIPMIPollers'] = '0'
default['zabbix']['server']['config']['StartPollersUnreachable'] = '1'
default['zabbix']['server']['config']['StartTrappers'] = '5'
default['zabbix']['server']['config']['StartPingers'] = '1'
default['zabbix']['server']['config']['StartDiscoverers'] = '1'
default['zabbix']['server']['config']['StartHTTPPollers'] = '1'
default['zabbix']['server']['config']['StartTimers'] = '1'
default['zabbix']['server']['config']['JavaGateway'] = nil
default['zabbix']['server']['config']['JavaGatewayPort'] = '10052'
default['zabbix']['server']['config']['StartJavaPollers'] = '0'
default['zabbix']['server']['config']['StartVMwareCollectors'] = '0'
default['zabbix']['server']['config']['VMwareFrequency'] = '60'
default['zabbix']['server']['config']['VMwarePerfFrequency'] = '60'
default['zabbix']['server']['config']['VMwareCacheSize'] = '8M'
default['zabbix']['server']['config']['VMwareTimeout'] = '10'
default['zabbix']['server']['config']['SNMPTrapperFile'] = '/var/log/snmptt/snmptt.log'
default['zabbix']['server']['config']['StartSNMPTrapper'] = '0'
default['zabbix']['server']['config']['ListenIP'] = '0.0.0.0'
default['zabbix']['server']['config']['HousekeepingFrequency'] = '1'
default['zabbix']['server']['config']['MaxHousekeeperDelete'] = '5000'
default['zabbix']['server']['config']['SenderFrequency'] = '30'
default['zabbix']['server']['config']['CacheSize'] = '8M'
default['zabbix']['server']['config']['CacheUpdateFrequency'] = '60'
default['zabbix']['server']['config']['StartDBSyncers'] = '4'
default['zabbix']['server']['config']['HistoryCacheSize'] = '16M'
default['zabbix']['server']['config']['HistoryIndexCacheSize'] = '4M'
default['zabbix']['server']['config']['TrendCacheSize'] = '4M'
default['zabbix']['server']['config']['ValueCacheSize'] = '8M'
default['zabbix']['server']['config']['Timeout'] = '3'
default['zabbix']['server']['config']['TrapperTimeout'] = '300'
default['zabbix']['server']['config']['UnreachablePeriod'] = '45'
default['zabbix']['server']['config']['UnavailableDelay'] = '60'
default['zabbix']['server']['config']['UnreachableDelay'] = '15'
default['zabbix']['server']['config']['AlertScriptsPath'] = '/usr/lib/zabbix/alertscripts'
default['zabbix']['server']['config']['ExternalScripts'] = '/usr/lib/zabbix/externalscripts'
default['zabbix']['server']['config']['FpingLocation'] = nil
default['zabbix']['server']['config']['Fping6Location'] = nil
default['zabbix']['server']['config']['SSHKeyLocation'] = nil
default['zabbix']['server']['config']['LogSlowQueries'] = '0'
default['zabbix']['server']['config']['TmpDir'] = '/tmp'
default['zabbix']['server']['config']['StartProxyPollers'] = '1'
default['zabbix']['server']['config']['ProxyConfigFrequency'] = '3600'
default['zabbix']['server']['config']['ProxyDataFrequency'] = '1'
default['zabbix']['server']['config']['AllowRoot'] = '0'
default['zabbix']['server']['config']['User'] = 'zabbix'
default['zabbix']['server']['config']['Include'] = []
default['zabbix']['server']['config']['SSLCertLocation'] = '${datadir}/zabbix/ssl/certs'
default['zabbix']['server']['config']['SSLKeyLocation'] = '${datadir}/zabbix/ssl/keys'
default['zabbix']['server']['config']['SSLCALocation'] = nil
default['zabbix']['server']['config']['LoadModulePath'] = '${libdir}/modules'
default['zabbix']['server']['config']['LoadModule'] = []
